<?php
/**
 * Configuration for the simpleSAMLphp metarefresh module.
 * See https://simplesamlphp.org/docs/stable/simplesamlphp-automated_metadata for more info.
 */

// load the current simpleSAML config
$globalConfig = SimpleSAML\Configuration::getInstance();

// get config settings
$idp = $globalConfig->getString('idp');
$metadataURL = $globalConfig->getString('metadataURL');
$metadataDir = $globalConfig->getString('metadataDir');

$config = [
    'sets' => [
        $idp => [
            'cron' => ['hourly'],
            'sources' => [
                [
                    'src' => $metadataURL,
                ],
            ],
            'expireAfter' => 34560060, // Maximum 4 days cache time (3600*24*4)
            'outputDir' => $metadataDir,
            'outputFormat' => 'flatfile',
        ],
    ],
];
